<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_mysql',null,'index.php?'.SID);
adm_check();
$set['title']='Голова бота';
include_once '../sys/inc/thead.php';
title();

if (isset($_GET['del_all'])){
echo "Вы уверены:<br /><a href='?del_all_ok=$_GET[del_all]'>Да</a><br /> | "; 

echo "<a href='?page=$page'>Нет</a><br />";}

if (isset($_GET['del_all_ok'])){

mysql_query("DELETE FROM `bot_tasks_new`");

msg('Все задачи успешно удалены');
}
if (isset($_GET['del_ok'])){



mysql_query("DELETE FROM `bot_tasks_new` WHERE `id` = '$_GET[del_ok]'");


msg('Задача успешно удалена');
}

if (isset($_GET['new_ok'])){
mysql_query("INSERT INTO `bot_tasks` (`words`, `answer`, `time`) VALUES ('$_POST[words]', '$_POST[answer]', '$time')");


mysql_query("DELETE FROM `bot_tasks_new` WHERE `id` = '$_GET[new_ok]'");
msg('Задача успешно добавлена');}


echo "Всего неизвестных задач в базе: ".mysql_result(mysql_query("SELECT COUNT(*) FROM `bot_tasks_new`"),0)."<br />\n";


echo "<a href='?del_all&amp;page=$page'><b>Удалить все неизвестные задачи</b></a><br />\n";


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `bot_tasks_new` "), 0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `bot_tasks_new` ORDER BY id DESC LIMIT $start, $set[p_str]");
if ($k_post==0)
{
echo "На данный момент в базе нет неизвестных задач\n";
}


while ($mem = mysql_fetch_assoc($q))
{

echo "...$mem[msg]...<br />";
echo "<a href='?new=$mem[id]&amp;page=$page'><b>[научить]</b> </a><br />\n";
echo "<a href='?del=$mem[id]&amp;page=$page'><b>[x]</b></a><br />\n";

if (isset($_GET['new']) && $_GET['new']=$mem['id'])
{
echo "<form action=\"?new_ok=$mem[id]&amp;page=$page\" method=\"post\">";



echo "Ориентировочные слова:<br />\n";
echo "<input type='text' name='words' 
value='$mem[msg]' /><br />\n";



echo "Ответ бота:<br />\n";
echo "<input type='text' name='answer' /><br />\n";

echo "<input value=\"Научить бота\" type=\"submit\" />\n";
echo "</form>\n";
}
 echo "<center>= = = = = = = = =</center>";} if ($k_page>1)str("?",$k_page,$page); // Вывод страниц

if (user_access('adm_panel_show')){
echo "<div class='foot'>\n";
echo "&laquo;<a href='/adm_panel/'>В админку</a><br />\n";
echo "</div>\n";
}
include_once '../sys/inc/tfoot.php';
?>